Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-26122

Unsupported apt repositories just went away! (5.5-10.1)

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.5, 10.0, 10.1
    • Fix Version/s: N/A
    • Component/s: Platform Debian
    • Labels:
      None
    • Environment:
      Debian/Ubuntu

      Description

      Overnight, the longstanding apt repositories for the unsupported MariaDB server versions lost their directories in the apt repositories.

      For example on ftp.osuosl.org we see only the supported versions:

      ncftp /pub/mariadb/repo > dir
      lrwxrwxrwx    1 4035     4035           23 Jul  8 16:15 10.2 -> ../mariadb-10.2.39/repo
      lrwxrwxrwx    1 4035     4035           23 Jul  8 16:15 10.3 -> ../mariadb-10.3.30/repo
      lrwxrwxrwx    1 4035     4035           23 Jul  8 16:15 10.4 -> ../mariadb-10.4.20/repo
      lrwxrwxrwx    1 4035     4035           23 Jul  8 16:16 10.5 -> ../mariadb-10.5.11/repo
      lrwxrwxrwx    1 4035     4035           22 Jul  8 16:16 10.6 -> ../mariadb-10.6.3/repo
      

      These were working until yesterday or day before, and have such a long and wonderful history. People still need them!

      The tool I maintain, ddev, https://github.com/drud/ddev, allows developers to launch a web project with a variety of configurations, including old and unsupported versions. It's docker-based, but as soon as you need to install something you're now hosed because of the missing repo.

        Attachments

          Activity

            People

            Assignee:
            dbart Daniel Bartholomew
            Reporter:
            rfay Randy Fay
            Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration

                Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.